Name:           compat-guichan06
Version:        0.6.1
Release:        7%{?dist}
Summary:        Compatibility libraries for guichan 0.6

Group:          Development/Libraries
License:        BSD
URL:            http://guichan.sourceforge.net
Source0:        http://downloads.sourceforge.net/guichan/guichan-%{version}.tar.gz
Patch0:         guichan-0.6.1-soname.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes:      guichan = 0.6.1
Provides:       guichan = 0.6.1

BuildRequires:  allegro-devel, SDL-devel, SDL_image-devel, libGL-devel

%description
Guichan is a small, efficient C++ GUI library designed for games. It comes
with a standard set of widgets and can use several different objects for 
displaying graphics and grabbing user input.

%prep
%setup -q -n guichan-%{version}
for i in src/Makefile.am src/*/Makefile.am ; do
    touch -r $i $i.stamp
done
%patch0
for i in src/Makefile.am src/*/Makefile.am ; do
    touch -r $i.stamp $i
done


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Removing Libtool archives and static libraries
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

# Remove devel bits from this compat package
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -f $RPM_BUILD_ROOT%{_libdir}/libguichan.so
rm -f $RPM_BUILD_ROOT%{_libdir}/libguichan_allegro.so
rm -f $RPM_BUILD_ROOT%{_libdir}/libguichan_opengl.so
rm -f $RPM_BUILD_ROOT%{_libdir}/libguichan_sdl.so

%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libguichan-%{version}.so
%{_libdir}/libguichan_allegro-%{version}.so
%{_libdir}/libguichan_opengl-%{version}.so
%{_libdir}/libguichan_sdl-%{version}.so


%changelog
* Thu Apr 3 2008 Wart <wart@kobold.org> 0.6.1-7
- Add compat- prefix back into package name

* Thu Apr 3 2008 Wart <wart@kobold.org> 0.6.1-6
- Drop the -devel bits

* Tue Feb 19 2008 Wart <wart@kobold.org> 0.6.1-5
- Remove 'compat-' prefix from package name

* Fri Feb 15 2008 Wart <wart@kobold.org> 0.6.1-4
- Move files to version-specific directories

* Wed Jan 2 2008 Wart <wart@kobold.org> 0.6.1-3
- Rename to compat-guichan06

* Tue Aug  21 2007 Wart <wart@kobold.org> 0.6.1-2
- Rebuild for gcc BUILDID

* Sat Apr  7 2007 Wart <wart@kobold.org> 0.6.1-1
- Update to 0.6.1
- Use better sf download url
- Remove BR: glut-devel as upstream no longer uses it.
- Add patch to add soname to shared libraries

* Wed Oct  4 2006 Hugo Cisneiros <hugo@devin.com.br> 0.5.0-1
- Upstream update
- Add freeglut-devel BR for the new release
- Removed unusued patches for this new version

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-3
- Rebuilt for FC6

* Sat Jun 10 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-2
- Using libGL-devel instead of mesa-libGL-devel in BuildRequires
- Put documentation under -devel instead of a whole -doc
- Touch "autoxxx" files to take out autoxxx commands use in devel
- Add proper location do doc files (/usr/share/doc/xxx/html)

* Fri Jun  9 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-1
- Initial RPM release
